#ifndef normTest_hh
#define normTest_hh

#include "function.hh"
#include "basics/testcase.hh"

namespace test {

  /** Testing DGNorm2d
      @author Christoph Winkelmann
  */
  class DGNorm2dTest : public TestCase {
  public:
    virtual ~DGNorm2dTest() {}
    virtual void run();

    /// Test norms
    void testNorms(const concepts::Vector<concepts::Real>& z,
                   const concepts::Vector<concepts::Real>& zv);
  };

} // namespace test

#endif // normTest_hh
