/* output operator for all classes in concepts
 */

#include "outputOperator.hh"

namespace concepts {

  // ******************************************************** OutputOperator **

  std::ostream& operator<<(std::ostream& os, const OutputOperator& o) {
#ifdef DEBUG
    os << std::flush;
#endif
    return o.info(os);
  }

  OutputOperator::~OutputOperator() {}

  std::ostream& OutputOperator::info(std::ostream& os) const {
    return os << "OutputOperator()";
  }

} // namespace concepts
