// include file for eigensolvers

#ifndef eigensolvers_hh
#define eigensolvers_hh

#include "eigensolver/eigens.hh"
#include "eigensolver/jdbsym.hh"
#include "eigensolver/ARPACKdsaupd.hh"
#include "eigensolver/ARPACKdnaupd.hh"
#include "eigensolver/inexactInv.hh"
#include "eigensolver/constrained.hh"
#include "eigensolver/solverFabric.hh"
#include "eigensolver/jdbsymFabric.hh"
#include "eigensolver/arpackFabric.hh"
#ifdef HAS_PETSC
#include "eigensolver/inexactFabric.hh"
#endif

/** Eigenvalue solvers. All classes in this namespace are here to solve
    eigenvalue problems.

    @author Norbert Fernandes, 2002
*/
namespace eigensolver {
  // leave emtpy, just for documentation
}

#endif // eigensolvers_hh
