// include file for the graphics subdirectory

#ifndef graphics_hh
#define graphics_hh

#include "graphics/topologyDotty.hh"
#include "graphics/meshEPS.hh"
#include "graphics/meshDX.hh"
#include "graphics/dataDX.hh"
#include "graphics/meshMatlab.hh"
#include "graphics/meshGnuplot.hh"
#include "graphics/dataGnuplot.hh"
#include "graphics/dataMatlab.hh"
#include "graphics/meshDAT.hh"
#include "graphics/meshTecplot.hh"

/** Graphics. Most of the classes in this namespace generate an input
    file for a graphical application.
*/
namespace graphics {
  // leave this empty, just for documentation
}

#endif // graphics_hh
