/* shape function in 3D: data for shape values, abscissas and quadratur weights
 */

#include "shapeFunction3d.hh"

namespace hp3D {

  // ******************************************************* ShapeFunction3D **

  template<typename F>
  ShapeFunction3D<F>::ShapeFunction3D() : T_(0) {
    for (uint i = 0; i < 3; ++i) {
      n_[i] = 0; nq_[i] = 0;
      values_[i] = 0; abscissas_[i] = 0; weights_[i] = 0;
    }
  }

  template class ShapeFunction3D<Real>;

} // namespace hp3D
