/* testsuite for 3D cells with geometric deadlock
 * create space
 */

#ifndef deadlock3_hh
#define deadlock3_hh

#include "basics/testcase.hh"

namespace test {

  /** Testing work around geometric deadlock problem.
      Third part: automatically upgrade refinements.
      @author Philipp Frauenfelder, 2004
   */
  class DeadLock3 : public TestCase {
  public:
    virtual ~DeadLock3() {}
    virtual void run();

    /// @name Test routines
    //@{
    /// Tests space
    void testSpace();
    //@}
  };

} // namespace test

#endif // deadlock3_hh
