// include files from linDG2D directory

#ifndef linDG2D_hh
#define linDG2D_hh

#include "linDG2D/triangle.hh"
#include "linDG2D/triangleGraphics.hh"
#include "linDG2D/edgeInfo.hh"
#include "linDG2D/meshInfo.hh"
#include "linDG2D/elementPair.hh"
#include "linDG2D/elementPairList.hh"
#include "linDG2D/space.hh"
#include "linDG2D/linearForm.hh"
#include "linDG2D/bilinearForm.hh"

/** DG FEM for 2D problems using piecewise linear shape functions. Look in
    directory \c app-cwinkelm for applications.
    @author Christoph Winkelmann, 2004
*/
namespace linDG2D {
  // leave empty
} // namespace linDG2D

#endif // linDG2D_hh
