#include "pslogger.hh"

#include <unistd.h>
#include <sstream>

PsLogger::PsLogger(std::string fileName, std::string format)
  : fileName_(fileName) {
  std::stringstream command;
  command << "echo logging output of ps, format: > " << fileName << std::ends;
  system(command.str().c_str());
  command.str("");
  command << "echo " << format << " >> " << fileName << std::ends;
  system(command.str().c_str());
  command.str("");
  command << "ps --no-header -p " << getpid() 
	  << " -o \"" << format << "\" >> " << fileName_ << std::ends;
  command_ = command.str();
}

void PsLogger::log(std::string logMessage) {
  if (logMessage.length() > 0) {
    std::stringstream command;
    command << "echo " << logMessage << " >> " << fileName_ << std::ends;
    system(command.str().c_str());
  }
  system(command_.c_str());
}
