/* shape function in 2D: data for shape values, abscissas and quadratur weights
 */

#include "shapeFunction2d.hh"

namespace hp2D {

  // ******************************************************* ShapeFunction2D **

  template<typename F>
  ShapeFunction2D<F>::ShapeFunction2D() : T_(0) {
    for (uint i = 0; i < 2; ++i) {
      n_[i] = 0; nq_[i] = 0;
      values_[i] = 0; abscissas_[i] = 0; weights_[i] = 0;
    }
  }

  template class ShapeFunction2D<Real>;

} // namespace hp2D
