// include files from linDG1D directory

#ifndef linDG1D_hh
#define linDG1D_hh

#include "linDG1D/space.hh"
#include "linDG1D/elementPair.hh"
#include "linDG1D/bilinearForm.hh"

/** DG FEM for 1D problems using piecewise linear shape functions. Part
    of the functionality (bilinear forms, elements) are taken from \c
    linearFEM.
    @author Philipp Frauenfelder, 2003
*/
namespace linDG1D {
  // leave empty
} // namespace linDG1D

#endif // linDG1D_hh
