#ifndef elmTest_hh
#define elmTest_hh

#include "basics/testcase.hh"

namespace linDG2D {
  class TriangleP1;
}
namespace concepts {
  class Triangle2d;
}

namespace test {

  /** Testing linDG2D::TriangleP1
      @author Christoph Winkelmann
  */
  class DGTriangleP1Test : public TestCase {
  public:
    virtual ~DGTriangleP1Test() {}
    virtual void run();

    /// @name Test routines
    //@{
    /// Test cell
    void testCell(concepts::Triangle2d& tce);
    /// Tests shape functions
    void testShapeFct(linDG2D::TriangleP1& tel);
    /// Tests shape function gradients
    void testShapeFctGradient(linDG2D::TriangleP1& tel);
    //@}
  };

} // namespace test

#endif // elmTest_hh
